Package org.apache.felix.configurator.impl.model

## Class Config

- java.lang.Object
- - org.apache.felix.configurator.impl.model.Config

All Implemented Interfaces:
  `Serializable`, `Comparable<Config>`

    public class Config
    extends Object
    implements Serializable, Comparable<Config>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Config​(String pid, Dictionary<String,​Object> properties, long bundleId, int ranking, ConfigPolicy policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(Config o)`
`long` `getBundleId()` The bundle id
`List<File>` `getFiles()`
`int` `getIndex()` The index of the configuration.
`String` `getPid()` Get the PID
`ConfigPolicy` `getPolicy()` Get the policy
`Dictionary<String,​Object>` `getProperties()` Get all properties
`int` `getRanking()` The configuration ranking
`ConfigState` `getState()` Get the configuration state
`void` `setFiles​(List<File> f)`
`void` `setIndex​(int value)` Set the index
`void` `setState​(ConfigState value)` Set the configuration state
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Config

    public Config​(String pid,
                  Dictionary<String,​Object> properties,
                  long bundleId,
                  int ranking,
                  ConfigPolicy policy)

### Method Detail

#### getPid

    public String getPid()

Get the PID

Returns:
  The pid.

#### getRanking

    public int getRanking()

The configuration ranking

Returns:
  The configuration ranking

#### getBundleId

    public long getBundleId()

The bundle id

Returns:
  The bundle id

#### getIndex

    public int getIndex()

The index of the configuration. This value is only relevant if there are several configurations for the same pid with same ranking and bundle id.

Returns:
  The index within the configuration set

#### setIndex

    public void setIndex​(int value)

Set the index

#### getState

    public ConfigState getState()

Get the configuration state

Returns:
  The state

#### setState

    public void setState​(ConfigState value)

Set the configuration state

Parameters:
  `value` - The new state

#### getPolicy

    public ConfigPolicy getPolicy()

Get the policy

Returns:
  The policy

#### getProperties

    public Dictionary<String,​Object> getProperties()

Get all properties

Returns:
  The configuration properties

#### setFiles

    public void setFiles​(List<File> f)

#### getFiles

    public List<File> getFiles()

#### compareTo

    public int compareTo​(Config o)

Specified by:
  `compareTo` in interface `Comparable<Config>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`